package Source::Repository::Mass::PkgFilter;

use strict;
use warnings;

our $VERSION=0.001;

use RPM::Source::Abstract::ExportCommandLineOption;
use RPM::Source::Abstract::ExportCommandLineOptionContainer;
our @ISA=qw/RPM::Source::Abstract::ExportCommandLineOptionContainer/;

our @PKG_SKIP_CLASSES;
BEGIN {
 @PKG_SKIP_CLASSES=();
}

sub _container_arrayref {
    my ($self)=@_;
    return \@PKG_SKIP_CLASSES;
}

sub pkgfilter {
    my $class=shift;
    foreach my $filter (@PKG_SKIP_CLASSES) {
	return 1 if $filter->pkgfilter(@_);
    }
    return;
}

sub postpkgfilter {
    my $class=shift;
    map {$_->postpkgfilter(@_)} @PKG_SKIP_CLASSES;
}

1;
