package Source::Repository::Mass::SkipName::DistroMap;

use strict;
use warnings;

use RPM::Source::Shared::Resource::DistroMap;
use Source::Repository::Mass::SkipName;
our @ISA=qw/Source::Repository::Mass::SkipName/;

push @Source::Repository::Filter::NAME_SKIP_CLASSES, __PACKAGE__;

our $verbose=0;

sub namefilter {
    my ($class,$originname,$destname,$resourceobj)=@_;
    my $distromap=$resourceobj->get_distromap;
    print STDERR "SkipName::DistroMap: testing $originname ($destname): exclude=",$distromap->flag('flags/source/exclude',$originname) ? 1:0," noversion=",$distromap->flag('flags/source/noversion',$originname) ? 1:0,"\n" if $verbose;
    return 1 if $distromap->flag('flags/source/exclude',$originname) or $distromap->flag('flags/source/noversion',$originname);
    return;
}

1;
