package Source::Repository::Matcher::Prefixator;

use strict;
use warnings;
use Source::Repository::Matcher;

our @ISA = qw(Source::Repository::Matcher);
push @Source::Repository::Matcher::NAME_MATCH_CLASSES, __PACKAGE__;
our $prefix;
our $verbose;

sub origin2dest { 
    my ($self,$name)=@_;
    print STDERR "Matcher::Prefixator: origin2dest($name)=$prefix.$name\n" if $verbose;
    return $prefix.$name;
}

sub dest2origin {
    my ($self,$name)=@_;
    $name=~s,^$prefix,,;
    print STDERR "Matcher::Prefixator: dest2origin($name)=$name\n" if $verbose;
    return $name;
}

1;
