package Source::Repository::Filter;

use strict;
use warnings;

our $VERSION=0.001;

use RPM::Source::Abstract::ExportCommandLineOption;
use RPM::Source::Abstract::ExportCommandLineOptionContainer;
our @ISA=qw/RPM::Source::Abstract::ExportCommandLineOptionContainer/;

our @NAME_SKIP_CLASSES;
BEGIN {
 @NAME_SKIP_CLASSES=qw//;
}

sub _container_arrayref {
    my ($self)=@_;
    return \@NAME_SKIP_CLASSES;
}

sub namefilter {
    my $class=shift;
    foreach my $filter (@NAME_SKIP_CLASSES) {
	return 1 if $filter->namefilter(@_);
    }
    return;
}

sub postnamefilter {
    my $class=shift;
    map {$_->postnamefilter(@_)} @NAME_SKIP_CLASSES;
}

1;
