package Source::Repository::Mass::Transform;

use strict;
use warnings;
use Source::Repository::Mass;
use RPM::Source::Transform 0.014;
our @ISA = qw(Source::Repository::Mass);

# common option for both Transform:: submodules
our $suppress_rename;

our $DEFAULT_OUTDIR="./OUT";

sub get_longopt {
    return RPM::Source::Transform->get_longopt;
}

sub longopt_usage {
    RPM::Source::Transform->longopt_usage;
}

sub __transaction_output_subdir {
    my ($transaction_name,$transaction_count)=@_;
    return "$transaction_name.transaction/".('0' x (5-length($transaction_count))).$transaction_count;
}

1;
